Synopsis:
   on [<modes>]encrypted_notice [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client receives a NOTICE encrypted
   with CTCP SED.  This is how the ENCRYPT command normally works.

Parameters:
   $0    nickname of message sender
   $1-   message received

Examples:
   To clearly distinguish encrypted NOTICEs from unencrypted ones:
      on ^encrypted_notice '% $N *' {
         echo -${[$0]}- [ENCRYPTED] $1-
      }

See Also:
   encrypt(4); notice(1); on(5) encrypted_privmsg, notice

Restrictions:
   This hook is subject to the same protocol restrictions as the NOTICE
   hook.

Other Notes:
   When used with the silent or quiet modes, this hook will suppress the
   normal output for NOTICEs.  Care should be used, as it can jumble
   public hooks.

